import { Directives, DirectiveProps } from '../models/structs';

import { rawDirectiveSplitPattern } from './utils/patterns';

import { bindDirective } from './directives/bind';
import { htmlDirective } from './directives/html';
import { ifDirective } from './directives/if';
import { joinDirective } from './directives/join';
import { modelDirective } from './directives/model';
import { onDirective } from './directives/on';
import { textDirective } from './directives/text';

export const directives: Directives = {
  BIND: bindDirective,
  JOIN: joinDirective,
  HTML: htmlDirective,
  IF: ifDirective,
  MODEL: modelDirective,
  ON: onDirective,
  TEXT: textDirective,
};

export const renderDirective = (
  { el, name, value, state }: DirectiveProps,
  directives: Directives
): void => {
  const rootName = name.split(rawDirectiveSplitPattern)[0]; // Split directive:modifier.property
  directives[rootName.toUpperCase()]({ el, name, value, state });
};

export default renderDirective;
